.msg {
    color: $white;
    overflow: hidden;
    position: relative;
    font-size: rem(20);
    line-height: rem(30);

    &__main {
        z-index: 10;
        position: relative;
        padding-top: rem(40);
        padding-bottom: rem(40);
    }

    &__bg {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }

    &__pattern {
        top: 0;
        left: 0;
        bottom: 0;
        z-index: 5;
        width: 100%;
        position: absolute;
        background: rgba(0,0,0,0.4);
    }

    &__header {
        margin-bottom: rem(20);
    }

    &__text {

    }

    &__button {
        padding-top: rem(20);

        .btn {
            width: 100%;
            max-width: rem(400);
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            padding-top: rem(60);
        }

        &__header {
            margin-bottom: rem(30);
        }

        &__inner {
            width: rem(570);
        }
    }

    @include media-breakpoint-up(lg) {

        &__inner {

        }

        &__pattern {
            width: 65%;
            backdrop-filter: blur(14px);
            background: rgba(255, 255, 255, 0.14);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(24);
        line-height: rem(34);

        &__pattern {
            width: 53%;
        }
    }
}
